Page MenuHomePhabricator

efl.ui.textbox: load default font properties once
ClosedPublic

Authored by ali.alzyod on Feb 24 2020, 8:17 AM.

Details

Summary

As described in task T8617
when toggle editable mode for textbox, we will reserve user changes (instead of reload them again).

this issue is affected by D9502, I do not fully understand why do we need it, so I leave color loading as it is.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ali.alzyod created this revision.Feb 24 2020, 8:17 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

ali.alzyod requested review of this revision.Feb 24 2020, 8:17 AM
segfaultxavi resigned from this revision.Feb 25 2020, 1:34 AM

I confirm this fixes T8617 but cannot comment on the code.

ali.alzyod updated this revision to Diff 29204.Feb 25 2020, 3:27 AM

remove unneeded efl_ui_widget_theme_apply calls

ali.alzyod updated this revision to Diff 29205.Feb 25 2020, 3:30 AM

additinal test case

bu5hm4n accepted this revision.Mar 20 2020, 7:49 AM
This revision is now accepted and ready to land.Mar 20 2020, 7:49 AM
Closed by commit rEFL8e7a01b16f64: efl.ui.textbox: load default font properties once (authored by ali.alzyod, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyMar 20 2020, 8:04 AM
This revision was automatically updated to reflect the committed changes.